<?php

function get_news($request_data) {

    $array = array();
    $page_id = $request_data->get_param('page_id');
    $offset = $request_data->get_param('offset');

    $args = array(
        "post_type" => "news",
        'post_status' => 'publish',
        "posts_per_page" => $offset,
        'paged' => $page_id,
        'orderby' => 'date',
        'order'   => 'DESC',
    );

    $page_query = new WP_Query($args);

    if ($page_query->have_posts()) {
        while ($page_query->have_posts()) {
            $page_query->the_post();
            $news_id = get_the_ID();
            $title = get_the_title();
            $content = get_field("news_content");
            $image_ID = get_field("news_image");
            $image = wp_get_attachment_url($image_ID);
            $date = get_the_date("Y-m-d");

            array_push($array, array(
                'ID' => $news_id,
                'title' => $title,
                'content' => apply_filters( 'the_content', $content ),
                'image' => $image,
                'date' => $date,
            ));
        }
    }

    $object = new stdClass();
    $object->code = "success";
    $object->data = $array;
    return $object;
}

function get_single_news($request_data) {

    $array = array();
    $news_id = $request_data->get_param('news_id');
    $args = array(
        "post_type" => "news",
        'post_status' => 'publish',
        'p' => $news_id,
        "order" => "DESC",
    );

    $page_query = new WP_Query($args);

    if ($page_query->have_posts()) {
        while ($page_query->have_posts()) {

            $page_query->the_post();
            $news_id = get_the_ID();
            $title = get_the_title();
            $content = get_field("news_content");
            $image_ID = get_field("news_image");
            $image = wp_get_attachment_url($image_ID);
            $date = get_the_date("Y-m-d");

            array_push($array, array(
                'ID' => $news_id,
                'title' => $title,
                'content' => apply_filters( 'the_content', $content ),
                'image' => $image,
                'date' => $date,
            ));
        }
    }

    $object = new stdClass();
    $object->code = "success";
    $object->data = $array;
    return $object;
}
