<?php

/**
 * This is an example file showcasing how you can add custom Sondages to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerSondagePostType()
{
    $labels = [
        'name'                     => 'Sondages',
        'singular_name'            => 'Sondage',
        'menu_name'                => 'Sondages',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter un nouveau sondage',
        'edit_item'                => 'Modifier le sondage',
        'new_item'                 => 'Nouveau sondage',
        'view_item'                => 'Voir le sondage',
        'view_items'               => 'Voir les sondages',
        'search_items'             => 'Rechercher dans les sondages',
        'not_found'                => 'Aucun sondage trouvé.',
        'not_found_in_trash'       => 'Aucun sondage trouvé dans la corbeille',
        'parent_item_colon'        => 'Sondage parent :',
        'all_items'                => 'Tous les sondages',
        'archives'                 => 'Archive des sondages',
        'attributes'               => 'Attributs du sondage',
        'insert_into_item'         => 'Insérer dans le sondage',
        'uploaded_to_this_item'    => 'Téléversé sur ce sondage',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des sondages',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des sondages',
        'items_list'               => 'Liste des sondages',
        'item_published'           => 'Sondage publié',
        'item_published_privately' => 'Sondage mis en ligne en privé.',
        'item_reverted_to_draft'   => 'Sondage reconverti en brouillon.',
        'item_scheduled'           => 'Sondage planifié.',
        'item_updated'             => 'Sondage mis à jour.',
        'item_link'                => 'Lien de sondage',
        'item_link_description'    => 'Un lien vers un sondage',
    ];
    $args = [
        'label'                 => __('Sondage', 'flynt'),
        'description'           => __('Sondage Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 5,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-info-outline',

    ];
    register_post_type('sondage', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerSondagePostType');
