<?php

use ACFComposer\ACFComposer;
use Flynt\CommonFields;
use Flynt\Components;
use InterludeSante\Log;

add_action('Flynt/afterRegisterComponents', function () {
    ACFComposer::registerFieldGroup([
        'name' => 'pageComponent',
        'title' => 'pageComponent',
        'style' => 'seamless',
        'fields' =>
        [
            [
                'label' => 'Type de la page',
                'name' => 'page_type',
                'type' => 'select',
                'instructions' => '',
                'required' => 1,

                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'choices' => [
                    'elevator-list' => 'Liste',
                    'elevator-page' => 'Page déroulante',
                    'single-page' => 'Page simple',
                    'external_link' => 'Lien externe',
                    'internal_link' => 'Lien interne',
                    'file' => 'Fichier',
                ],
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ],
            [
                'label' => 'Fichier',
                'name' => 'page_file',
                'type' => 'file',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => [
                    [
                        [
                            'name' => 'page_file',
                            'operator' => '==',
                            'value' => 'file',
                        ],
                    ],
                ],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'return_format' => 'url',
                'library' => 'all',
                'min_size' => '',
                'max_size' => '',
                'mime_types' => '',
            ],
            [
                'label' => 'Lien interne',
                'name' => 'page_internal_link',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => [
                    [
                        [
                            'name' => 'page_internal_link',
                            'operator' => '==',
                            'value' => 'internal_link',
                        ],
                    ],
                ],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'choices' => [
                    '/menu/phone-book/' => 'Annuaire',
                    '/menu/calculator' => 'Calculateurs',
                    '/menu/like-application' => 'Évaluer l\'application',
                    '/menu/like-stage' => 'Évaluer son stage',
                    '/menu/home' => 'Accueil',
                    '/menu/account' => 'Mon profil',
                    '/menu/news' => 'Quoi de neuf ?',


                ],
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ],
            [
                'label' => 'Lien externe',
                'name' => 'page_external_link',
                'type' => 'url',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => [
                    [
                        [
                            'name' => 'page_external_link',
                            'operator' => '==',
                            'value' => 'external_link',
                        ],
                    ],
                ],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'default_value' => '',
                'placeholder' => '',
            ],
            [
                'label' => 'Page menu déroulant',
                'name' => 'page_group_menu',
                'type' => 'group',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => [
                    [
                        [
                            'name' => 'page_group_menu',
                            'operator' => '==',
                            'value' => 'elevator-page',
                        ],
                    ],
                    [
                        [
                            'name' => 'page_group_menu',
                            'operator' => '==',
                            'value' => 'single-page',
                        ],
                    ],

                ],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'layout' => 'block',
                'sub_fields' => [
                    [
                        'label' => 'Editeur de contenu',
                        'name' => 'page_menu_editor',
                        'type' => 'wysiwyg',
                        'instructions' => '',
                        'required' => 0,

                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'default_value' => '',
                        'tabs' => 'all',
                        'toolbar' => 'full',
                        'media_upload' => 1,
                        'delay' => 0,
                    ],
                    [
                        'label' => 'Format bibliothèque d\'images haut',
                        'name' => 'page_menu_format_top',
                        'type' => 'radio',
                        'instructions' => 'Sélectionnez le format de la bibliothèque d\'images',
                        'required' => 0,

                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'choices' => [
                            'portrait' => 'portrait',
                            'paysage' => 'paysage',
                        ],
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'portrait',
                        'layout' => 'vertical',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ],
                    [
                        'label' => 'Bibliothèque d\'images haut',
                        'name' => 'page_menu_images_top',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,

                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'collapsed' => '',
                        'min' => 0,
                        'max' => 2,
                        'layout' => 'table',
                        'button_label' => '',
                        'sub_fields' => [
                            [
                                'label' => 'Image',
                                'name' => 'page_menu_image_top',
                                'type' => 'image',
                                'instructions' => '',
                                'required' => 0,

                                'wrapper' => [
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ],
                                'crop_type' => 'hard',
                                'target_size' => 'custom',
                                'width' => 615,
                                'height' => 966,
                                'preview_size' => 'medium',
                                'force_crop' => 'yes',
                                'save_in_media_library' => 'yes',
                                'retina_mode' => 'no',
                                'save_format' => 'url',
                                'library' => 'all',
                            ],
                        ],
                    ],
                    [
                        'label' => 'Format bibliothèque d\'images bas',
                        'name' => 'page_menu_format_bottom',
                        'type' => 'radio',
                        'instructions' => 'Sélectionnez le format de la bibliothèque d\'images',
                        'required' => 0,

                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'choices' => [
                            'portrait' => 'portrait',
                            'paysage' => 'paysage',
                        ],
                        'allow_null' => 0,
                        'other_choice' => 0,
                        'default_value' => 'portrait',
                        'layout' => 'vertical',
                        'return_format' => 'value',
                        'save_other_choice' => 0,
                    ],
                    [
                        'label' => 'Bibliothèque d\'images bas',
                        'name' => 'page_menu_images_bottom',
                        'type' => 'repeater',
                        'instructions' => '',
                        'required' => 0,

                        'wrapper' => [
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ],
                        'collapsed' => '',
                        'min' => 0,
                        'max' => 2,
                        'layout' => 'table',
                        'button_label' => '',
                        'sub_fields' => [
                            [
                                'label' => 'Image',
                                'name' => 'page_menu_image_bottom',
                                'type' => 'image',
                                'instructions' => '',
                                'required' => 0,

                                'wrapper' => [
                                    'width' => '',
                                    'class' => '',
                                    'id' => '',
                                ],
                                'crop_type' => 'hard',
                                'target_size' => 'custom',
                                'width' => 615,
                                'height' => 966,
                                'preview_size' => 'medium',
                                'force_crop' => 'yes',
                                'save_in_media_library' => 'yes',
                                'retina_mode' => 'no',
                                'save_format' => 'url',
                                'library' => 'all',
                            ],
                        ],

                    ],
                    [
                        'label' => 'Afficher un lien vers une application',
                        'name' => 'page_display_app',
                        'type' => 'true_false',
                        'default_value' => 0,
                        'ui' => 1
                    ],
                    array_merge(CommonFields\getCommonFields(), [
                        'conditional_logic' => [
                                [
                                    [
                                        'fieldPath' => 'page_display_app',
                                        'operator' => '==',
                                        'value' => 1
                                    ]
                                ]
                            ],
                    ]),
                ],
            ],
        ],
        'location' => [
            [
                [
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                ],
            ],
        ],
    ]);
});
