<?php

use ACFComposer\ACFComposer;
use Flynt\Components;

add_action('Flynt/afterRegisterComponents', function () {
    ACFComposer::registerFieldGroup([
        'name' => 'pageImageComponent',
        'title' => 'pageImageComponent',
        'style' => 'seamless',
        'fields' =>
        [
            [
                'label' => 'Afficher dans le menu burger',
                'name' => 'page_show_menu',
                'type' => 'true_false',
                'default_value' => 1,
                'ui' => 1,
            ],
            [
                'label' => 'Icône du menu burger',
                'name' => 'page_icon',
                'type' => 'text',
                'instructions' => 'Cliquer sur le lien pour accéder à la bibliothèque d\'icônes <a target="_blank" href="https://icones.js.org/collection/ic">https://icones.js.org/</a>
                <br> Puis copier le code de l\'icône présent en bas de page( exemple : bi:alarm-fill )',
                'required' => 1,
                'conditional_logic' => [
                    [
                        [
                        'fieldPath' => 'page_show_menu',
                        'operator' => '==',
                        'value' => 1,
                        ],
                    ],
                ],
            ],
            [
                'label' => 'Afficher sur la page d\'accueil',
                'name' => 'page_show_home',
                'type' => 'true_false',
                'default_value' => 1,
                'ui' => 1,
            ],

            [
                'label' => 'Image de la vignette sur la page d\'accueil',
                'name' => 'page_image',
                'type' => 'image',
                'instructions' => '',
                'required' => 1,
                'conditional_logic' => [
                    [
                        [
                            'fieldPath' => 'page_show_home',
                            'operator' => '==',
                            'value' => 1,
                        ],
                    ],
                ],
                'wrapper' => [
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ],
                'return_format' => 'url',
                'preview_size' => 'medium',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ],
        ],
        'location' => [
            [
                [
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                ],
                [
                    'param' => 'page_type',
                    'operator' => '!=',
                    'value' => 'child',
                ],

            ],
        ],
    ]);
});
