<?php

namespace InterludeSante\phoneNumber;

use libphonenumber\PhoneNumberUtil;
use libphonenumber\PhoneNumberFormat;

add_filter('acf/format_value/type=wysiwyg', __NAMESPACE__ . '\\formatPhoneNumber', 100);
add_filter('acf/format_value/type=textarea', __NAMESPACE__ . '\\formatPhoneNumber', 100);
add_filter('acf/format_value/type=text', __NAMESPACE__ . '\\formatPhoneNumber', 100);

function formatPhoneNumber($value)
{
    $phone_regex = '/^(?:(?:\+|00)33[\s.-]{0,3}(?:\(0\)[\s.-]{0,3})?|0)[1-9](?:(?:[\s.-]?\d{2}){4}|\d{2}(?:[\s.-]?\d{3}){2})$/';
    if (preg_match($phone_regex, $value)) {
        $phone_library = PhoneNumberUtil::getInstance();

        $phone_data = $phone_library->parse($value, "FR");

        // 06 12 45 78 54
        $value = $phone_library->format($phone_data, PhoneNumberFormat::NATIONAL);

        // // +33 6 12 45 78 54
        // $value = $phone_library->format($phone_data, PhoneNumberFormat::INTERNATIONAL);
    }


    return $value;
}
